<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_alltourinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_alltour_add = new ctbl_alltour_add();
$Page =& $tbl_alltour_add;

// Page init
$tbl_alltour_add->Page_Init();

// Page main
$tbl_alltour_add->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_alltour_add = new ew_Page("tbl_alltour_add");

// page properties
tbl_alltour_add.PageID = "add"; // page ID
tbl_alltour_add.FormID = "ftbl_alltouradd"; // form ID
var EW_PAGE_ID = tbl_alltour_add.PageID; // for backward compatibility

// extend page with ValidateForm function
tbl_alltour_add.ValidateForm = function(fobj) {
	ew_PostAutoSuggest(fobj);
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_tour_name"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, ewLanguage.Phrase("EnterRequiredField") + " - <?php echo ew_JsEncode2($tbl_alltour->tour_name->FldCaption()) ?>");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
tbl_alltour_add.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_alltour_add.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_alltour_add.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><?php echo $Language->Phrase("Add") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_alltour->TableCaption() ?><br><br>
<a href="<?php echo $tbl_alltour->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_alltour_add->ShowMessage();
?>
<form name="ftbl_alltouradd" id="ftbl_alltouradd" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return tbl_alltour_add.ValidateForm(this);">
<p>
<input type="hidden" name="t" id="t" value="tbl_alltour">
<input type="hidden" name="a_add" id="a_add" value="A">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($tbl_alltour->tour_name->Visible) { // tour_name ?>
	<tr<?php echo $tbl_alltour->RowAttributes() ?>>
		<td class="ewTableHeader"><?php echo $tbl_alltour->tour_name->FldCaption() ?><?php echo $Language->Phrase("FieldRequiredIndicator") ?></td>
		<td<?php echo $tbl_alltour->tour_name->CellAttributes() ?>><span id="el_tour_name">
<input type="text" name="x_tour_name" id="x_tour_name" title="<?php echo $tbl_alltour->tour_name->FldTitle() ?>" size="30" maxlength="100" value="<?php echo $tbl_alltour->tour_name->EditValue ?>"<?php echo $tbl_alltour->tour_name->EditAttributes() ?>>
</span><?php echo $tbl_alltour->tour_name->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="<?php echo ew_BtnCaption($Language->Phrase("AddBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_alltour_add->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_alltour_add {

	// Page ID
	var $PageID = 'add';

	// Table name
	var $TableName = 'tbl_alltour';

	// Page object name
	var $PageObjName = 'tbl_alltour_add';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_alltour;
		if ($tbl_alltour->UseTokenInUrl) $PageUrl .= "t=" . $tbl_alltour->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_alltour;
		if ($tbl_alltour->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_alltour->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_alltour->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_alltour_add() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_alltour)
		$GLOBALS["tbl_alltour"] = new ctbl_alltour();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'add', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_alltour', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_alltour;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Create form object
		$objForm = new cFormObj();

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $sDbMasterFilter = "";
	var $sDbDetailFilter = "";
	var $lPriv = 0;

	// 
	// Page main
	//
	function Page_Main() {
		global $objForm, $Language, $gsFormError, $tbl_alltour;

		// Load key values from QueryString
		$bCopy = TRUE;
		if (@$_GET["all_id"] != "") {
		  $tbl_alltour->all_id->setQueryStringValue($_GET["all_id"]);
		} else {
		  $bCopy = FALSE;
		}

		// Process form if post back
		if (@$_POST["a_add"] <> "") {
		   $tbl_alltour->CurrentAction = $_POST["a_add"]; // Get form action
		  $this->LoadFormValues(); // Load form values

			// Validate form
			if (!$this->ValidateForm()) {
				$tbl_alltour->CurrentAction = "I"; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else { // Not post back
		  if ($bCopy) {
		    $tbl_alltour->CurrentAction = "C"; // Copy record
		  } else {
		    $tbl_alltour->CurrentAction = "I"; // Display blank record
		    $this->LoadDefaultValues(); // Load default values
		  }
		}

		// Perform action based on action code
		switch ($tbl_alltour->CurrentAction) {
		  case "I": // Blank record, no action required
				break;
		  case "C": // Copy an existing record
		   if (!$this->LoadRow()) { // Load record based on key
		      $this->setMessage($Language->Phrase("NoRecord")); // No record found
		      $this->Page_Terminate("tbl_alltourlist.php"); // No matching record, return to list
		    }
				break;
		  case "A": // ' Add new record
				$tbl_alltour->SendEmail = TRUE; // Send email on add success
		    if ($this->AddRow()) { // Add successful
		      $this->setMessage($Language->Phrase("AddSuccess")); // Set up success message
					$sReturnUrl = $tbl_alltour->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Clean up and return
		    } else {
		      $this->RestoreFormValues(); // Add failed, restore form values
		    }
		}

		// Render row based on row type
		$tbl_alltour->RowType = EW_ROWTYPE_ADD;  // Render add type

		// Render row
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $tbl_alltour;

		// Get upload data
	}

	// Load default values
	function LoadDefaultValues() {
		global $tbl_alltour;
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $tbl_alltour;
		$tbl_alltour->tour_name->setFormValue($objForm->GetValue("x_tour_name"));
		$tbl_alltour->all_id->setFormValue($objForm->GetValue("x_all_id"));
	}

	// Restore form values
	function RestoreFormValues() {
		global $objForm, $tbl_alltour;
		$tbl_alltour->all_id->CurrentValue = $tbl_alltour->all_id->FormValue;
		$tbl_alltour->tour_name->CurrentValue = $tbl_alltour->tour_name->FormValue;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_alltour;
		$sFilter = $tbl_alltour->KeyFilter();

		// Call Row Selecting event
		$tbl_alltour->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_alltour->CurrentFilter = $sFilter;
		$sSql = $tbl_alltour->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_alltour->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_alltour;
		$tbl_alltour->all_id->setDbValue($rs->fields('all_id'));
		$tbl_alltour->tour_name->setDbValue($rs->fields('tour_name'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_alltour;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_alltour->Row_Rendering();

		// Common render codes for all row types
		// tour_name

		$tbl_alltour->tour_name->CellCssStyle = ""; $tbl_alltour->tour_name->CellCssClass = "";
		$tbl_alltour->tour_name->CellAttrs = array(); $tbl_alltour->tour_name->ViewAttrs = array(); $tbl_alltour->tour_name->EditAttrs = array();
		if ($tbl_alltour->RowType == EW_ROWTYPE_VIEW) { // View row

			// all_id
			$tbl_alltour->all_id->ViewValue = $tbl_alltour->all_id->CurrentValue;
			$tbl_alltour->all_id->CssStyle = "";
			$tbl_alltour->all_id->CssClass = "";
			$tbl_alltour->all_id->ViewCustomAttributes = "";

			// tour_name
			$tbl_alltour->tour_name->ViewValue = $tbl_alltour->tour_name->CurrentValue;
			$tbl_alltour->tour_name->CssStyle = "";
			$tbl_alltour->tour_name->CssClass = "";
			$tbl_alltour->tour_name->ViewCustomAttributes = "";

			// tour_name
			$tbl_alltour->tour_name->HrefValue = "";
			$tbl_alltour->tour_name->TooltipValue = "";
		} elseif ($tbl_alltour->RowType == EW_ROWTYPE_ADD) { // Add row

			// tour_name
			$tbl_alltour->tour_name->EditCustomAttributes = "";
			$tbl_alltour->tour_name->EditValue = ew_HtmlEncode($tbl_alltour->tour_name->CurrentValue);
		}

		// Call Row Rendered event
		if ($tbl_alltour->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_alltour->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $Language, $gsFormError, $tbl_alltour;

		// Initialize form error message
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if (!is_null($tbl_alltour->tour_name->FormValue) && $tbl_alltour->tour_name->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $Language->Phrase("EnterRequiredField") . " - " . $tbl_alltour->tour_name->FldCaption();
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Add record
	function AddRow() {
		global $conn, $Language, $Security, $tbl_alltour;
		$rsnew = array();

		// tour_name
		$tbl_alltour->tour_name->SetDbValueDef($rsnew, $tbl_alltour->tour_name->CurrentValue, "", FALSE);

		// Call Row Inserting event
		$bInsertRow = $tbl_alltour->Row_Inserting($rsnew);
		if ($bInsertRow) {
			$conn->raiseErrorFn = 'ew_ErrorFn';
			$AddRow = $conn->Execute($tbl_alltour->InsertSQL($rsnew));
			$conn->raiseErrorFn = '';
		} else {
			if ($tbl_alltour->CancelMessage <> "") {
				$this->setMessage($tbl_alltour->CancelMessage);
				$tbl_alltour->CancelMessage = "";
			} else {
				$this->setMessage($Language->Phrase("InsertCancelled"));
			}
			$AddRow = FALSE;
		}
		if ($AddRow) {
			$tbl_alltour->all_id->setDbValue($conn->Insert_ID());
			$rsnew['all_id'] = $tbl_alltour->all_id->DbValue;

			// Call Row Inserted event
			$tbl_alltour->Row_Inserted($rsnew);
		}
		return $AddRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
